Package com.google.android.exoplayer2.text.span

## Class TextAnnotation

- java.lang.Object
- - com.google.android.exoplayer2.text.span.TextAnnotation

-     public final class TextAnnotation
      extends Object

  Properties of a text annotation (i.e. ruby, text emphasis marks).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `TextAnnotation.Position` | The possible positions of the annotation text relative to the base text.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `POSITION_AFTER` | For horizontal text, the text annotation should be positioned below the base text.
    `static int` | `POSITION_BEFORE` | For horizontal text, the text annotation should be positioned above the base text.
    `static int` | `POSITION_UNKNOWN` | The text annotation position is unknown.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POSITION_UNKNOWN

          public static final int POSITION_UNKNOWN

      The text annotation position is unknown.
      See Also:
        Constant Field Values

    - #### POSITION_BEFORE

          public static final int POSITION_BEFORE

      For horizontal text, the text annotation should be positioned above the base text.

      For vertical text it should be positioned to the right, same as CSS's ruby-position.

      See Also:
        Constant Field Values

    - #### POSITION_AFTER

          public static final int POSITION_AFTER

      For horizontal text, the text annotation should be positioned below the base text.

      For vertical text it should be positioned to the left, same as CSS's ruby-position.

      See Also:
        Constant Field Values